Clone Workflow API

POST/qflowapi/v1/workflows/clone

Use this API to create copies of one or more existing workflows.

By default, you can include up to 10 workflow IDs in a single request. Contact Qualys Support if you need this limit increased for your account.

If the specified workflow ID is incorrectly formatted (missing characters or extra spaces), the API returns a validation error. If the specified workflow ID does not exist, the API returns a workflow-not-found error.

Required Permissions

Your API client must have the QFlow Clone Access permission enabled. To enable it:

  1. Navigate to My Profile > Auth ID Client Management > API Client Management.
  2. Select Edit from the quick access menu of the desired client.
  3. Navigate to Qualys Flow > Write, and select the QFlow Clone Access checkbox.

Also, make sure the following checkboxes are selected under Qualys Flow > Read and Qualys Flow Permissions:

  • Read: READ ALL, READ MY, and READ WF BY TAGS
  • Qualys Flow Permissions: Qualys Flow Access and Qualys Flow API Access

Input ParametersInput Parameters

Parameter

Mandatory/Optional

Data Type

Description

workflowIds

Mandatory

Array of String

List of workflow IDs to clone. Accepts up to 10 IDs per request by default.

Sample: Clone one or more workflowsSample: Clone one or more workflows

API Request

curl --location 'https://<qualys_base_url>.qualys.com/qflowapi/v1/workflows/clone' \
--header 'accept: application/json' \
--header 'Authorization: <Token>' \
--header 'Content-Type: application/json' \
--data '{
    "workflowIds": ["xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"]
}'

Response

{
    "data": [
        {
            "oldId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "id": "zzzzzzzz-zzzz-zzzz-zzzz-zzzzzzzzzzzz",
            "name": "S3 Bucket Ownership control assigned to owner and ACLs disabled_cloned_1785920016692_cloned_1787291381250",
            "cloneStatus": "Success"
        }
    ]
}